aim4.msg.udp

## Class Real2ProxyRequest

- java.lang.Object
- - aim4.msg.udp.Real2ProxyMsg
  - - aim4.msg.udp.Real2ProxyRequest

-     public class Real2ProxyRequest
      extends Real2ProxyMsg

  A real vehicle to proxy vehicle message for request message.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class aim4.msg.udp.Real2ProxyMsg

      `Real2ProxyMsg.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `arrivalTimeSpan` The arrival time span
    `float` | `arrivalVelocity` The arrival velocity
    `int` | `departureLaneId` The departure lane ID
    `int` | `vin` The VIN of the vehicle

    - ### Fields inherited from class aim4.msg.udp.Real2ProxyMsg

      `messageType, receivedTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Real2ProxyRequest(DataInputStream dis, double receivedTime)` Create a real vehicle to proxy vehicle message for request message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vin

          public final int vin

      The VIN of the vehicle

    - #### arrivalTimeSpan

          public final float arrivalTimeSpan

      The arrival time span

    - #### arrivalVelocity

          public final float arrivalVelocity

      The arrival velocity

    - #### departureLaneId

          public final int departureLaneId

      The departure lane ID

  - ### Constructor Detail

    - #### Real2ProxyRequest

          public Real2ProxyRequest(DataInputStream dis,
                           double receivedTime)
                            throws IOException

      Create a real vehicle to proxy vehicle message for request message.
      Parameters:
        `dis` - the I/O stream
        `receivedTime` - the time stamp
      Throws:
        `IOException`

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All rights reserved.